## org.exist.client.xacml
Class AbstractTreeNode

    java.lang.Object
      org.exist.client.xacml.AbstractTreeNode

All Implemented Interfaces:
  XACMLTreeNode

Direct Known Subclasses:
  AbstractNodeContainer, ConditionNode, RootNode, TargetNode

public abstract class AbstractTreeNode
extends java.lang.Object
implements XACMLTreeNode

Method Summary
`void` `commit(boolean deep)` Commits the state of this element.
`NodeContainer` `getParent()` Returns the parent of this node, or null if this is the root node.
`boolean` `isModified(boolean deep)` Returns true if this element has been modified.
`void` `revert(boolean deep)` Reverts the state of this element to the last commit.
`void` `setModified(boolean flag)` Sets the modification status of this node only.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.exist.client.xacml.XACMLTreeNode
`serialize`

Method Detail

### getParent

    public NodeContainer getParent()

  Description copied from interface: `XACMLTreeNode`
  Returns the parent of this node, or null if this is the root node.

  Specified by:
    `getParent` in interface `XACMLTreeNode`
  Returns:
    This node's parent

### isModified

    public boolean isModified(boolean deep)

  Description copied from interface: `XACMLTreeNode`
  Returns true if this element has been modified. If deep is true, then this takes into account the status of any descendants.

  Specified by:
    `isModified` in interface `XACMLTreeNode`
  Parameters:
    `deep` - if descendants should be included
  Returns:
    if this element has been modified

### revert

    public void revert(boolean deep)

  Description copied from interface: `XACMLTreeNode`
  Reverts the state of this element to the last commit. If deep is true, then this includes any descendants.

  Specified by:
    `revert` in interface `XACMLTreeNode`
  Parameters:
    `deep` -

### commit

    public void commit(boolean deep)

  Description copied from interface: `XACMLTreeNode`
  Commits the state of this element. This state will be the state reverted to when revert is called. If deep is true, then this includes any descendants.

  Specified by:
    `commit` in interface `XACMLTreeNode`
  Parameters:
    `deep` -

### setModified

    public void setModified(boolean flag)

  Description copied from interface: `XACMLTreeNode`
  Sets the modification status of this node only.

  Specified by:
    `setModified` in interface `XACMLTreeNode`
  Parameters:
    `flag` - Whether this node's state is different from its state immediately after the last commit.

Copyright (C) Wolfgang Meier. All rights reserved.